#Dockerfile of Aadhaar java
FROM dl-vahan-java:base
MAINTAINER Abhishek
LABEL version="uidai1.0"
ENV TZ="Asia/Kolkata"
COPY incometax.cer /usr/local/openjdk-8/jre/lib/security/
COPY US_export_policy.jar /usr/local/openjdk-8/jre/lib/security/policy/limited/
COPY local_policy.jar /usr/local/openjdk-8/jre/lib/security/policy/limited/
COPY US_export_policy.jar /usr/local/openjdk-8/jre/lib/security/policy/unlimited/
COPY local_policy.jar /usr/local/openjdk-8/jre/lib/security/policy/unlimited/
RUN keytool -import -trustcacerts -keystore /usr/local/openjdk-8/jre/lib/security/cacerts -storepass changeit -noprompt -alias pan -file /usr/local/openjdk-8/jre/lib/security/incometax.cer
COPY src_code /usr/local/tomcat/webapps/


ENV JAVA_OPTS="-XX:PermSize=1024m -XX:MaxPermSize=512m"

#HEALTHCHECK --timeout=30s --interval=30s --retries=3 CMD curl -s --fail http://localhost:8080/incometax/verifypan || exit 1